Subject: RE: Console and GenerateConsoleCtrlEvent
From: [email-masked] (Sergey Okhapkin)

10 Jul 1997 07:51:18 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC8D2B.2BAC3EF0.cygnus.gnu-win32@sos>
Original-To: "[email-masked]" <[email-masked]>,
        "'root'"
	 <[email-masked]>
Encoding: 25 TEXT
Original-Sender: [email-masked]

root wrote:
> iI am trying to stop a process with the 'GneerateConsoleCtrlEvent' API, 
but
> I get always an Invalid handle error, even if the handle I am passing to 
it
> seem absolutely OK.
>
> I am doing this from a GUI program.

The event is raised for the current console, but GUI program have no 
console! You can use this call in console programs only. Try to use 
TerminateProcess API call.

>
> Have any of the people that developed bash run into similar problems?
> How you stop a console process if not by using that API? How does bash 
stop
> a process?

Asshole used :-) The signals are emulated with window messages...

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".